Name:           maven-artifact-resolver
Version:        1.0
Release:        %mkrel 19
Group:          Development/Java
# Epoch is added because the original package's version in maven-shared is 1.1-SNAPSHOT
Epoch:          1
Summary:        Maven Artifact Resolution API
License:        ASL 2.0
URL:            http://maven.apache.org/shared/%{name}
BuildArch:      noarch

Source0:        http://central.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

# Replaced plexus-maven-plugin with plexus-component-metadata
Patch0:         %{name}-plexus.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.easymock:easymock)

%description
Provides a component for plugins to easily resolve project dependencies.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q
%patch0 -p1

%pom_xpath_inject pom:project/pom:dependencies "
<dependency>
  <groupId>org.apache.maven</groupId>
  <artifactId>maven-compat</artifactId>
  <version>1.0</version>
</dependency>" pom.xml

# Remove outdated maven-compiler-plugin configuration
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

# Incompatible method invocation
rm src/test/java/org/apache/maven/shared/artifact/resolver/DefaultProjectDependenciesResolverIT.java

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Fri Aug 21 2020 neoclust <neoclust> 1:1.0-19.mga8
+ Revision: 1617218
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1:1.0-18.mga8
+ Revision: 1491687
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:1.0-17.mga7
+ Revision: 1263637
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1:1.0-16.mga6
+ Revision: 1101405
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 1:1.0-15.mga6
+ Revision: 1100010
- Add missing build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:1.0-14.mga6
+ Revision: 977335
- First rebuild of the java stack
- sync package maven-artifact-resolver with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 23 2014 pterjan <pterjan> 1:1.0-11.mga5
+ Revision: 805072
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0-10.mga5
+ Revision: 745291
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 1:1.0-8.mga4
+ Revision: 549409
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 dmorgan <dmorgan> 1:1.0-6.mga4
+ Revision: 478213
- Add maven-shared to BR/R
- Add few other missing BRs

* Sat Jan 12 2013 umeabot <umeabot> 1:1.0-5.mga3
+ Revision: 359580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1:1.0-4.mga3
+ Revision: 326409
- imported package maven-artifact-resolver


* Fri Sep 14 2012 Tomas Radej <tradej@redhat.com> - 1:1.0-4
- Installing folders separately with -m 755
- Installing NOTICE in javadoc subpackage
- Fixed changelog

* Wed Sep 12 2012 Tomas Radej <tradej@redhat.com> - 1:1.0-3
- Really fixed Provides/Obsoletes by introducing epoch

* Thu Sep 06 2012 Tomas Radej <tradej@redhat.com> - 1.0-2
- Fixed Provides/Obsoletes

* Tue Jul 31 2012 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial version
